# Website Inspector

Website Inspector is a command line gem that allows you to quickly search any website url using the command line. It allows you to specify any list of search terms and will search the given url links, images, page source, page content, page title and more and will print the results to the terminal. 


Build Status (Travis CI):

[![Build Status](https://travis-ci.org/rukk86/website_inspector.png?branch=master)](https://travis-ci.org/rukk86/website_inspector)


Code Climate Coverage:

[![Code Climate](https://codeclimate.com/github/rukk86/website_inspector.png)](https://codeclimate.com/github/rukk86/website_inspector)

## Links

* Source on Github: https://github.com/rukk86/website_inspector
* RDoc: https://github.com/rukk86/website_inspector/blob/master/README.rdoc
* Download from RubyGems.org: http://rubygems.org/gems/website_inspector


## Installation

Add this line to your application's Gemfile:

gem 'website_inspector'

And then execute:

$ bundle

Or install it yourself as:

$ gem install website_inspector

## Usage

Run 'website_inspector' to see a list of sub commands available to run.

Here's an example of how you might search the title of a website for the words 'shoes' and 'horses':

```
website_inspector www.zappos.com shoes, horses --links

---------------------------
SEARCHING TITLE
While scanning: 'online shoes, clothing, always shipped free | zappos.com'
found: shoes

Website Inspector has finished running

```

Search options include:
* page object
* title
* html/xml
* webpage source code
* hyperlinks
* images
* image hyperlinks
* page forms
* default - if no option selected will search ALL the above

## Contributing

1. Fork it ( http://github.com/<my-github-username>/website_inspector/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

## TODO For Release Version 1.0 
1. Add ability to follow and repeat searches on each link found on each page
2. Improve displaying search results (maybe use a table format)
3. Add option to save results to an output file
